Bug 988584 - [abrt] remmina-1.0.0-7.fc19: gtk_tree_model_get_valist: Process /usr/bin/remmina was killed by signal 11 (SIGSEGV)
[abrt] remmina-1.0.0-7.fc19: gtk_tree_model_get_valist: Process /usr/bin/remm...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: remmina (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pavel Alexeev
Fedora Extras Quality Assurance
abrt_hash:fc757890f632537c232a31bab1c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-25 18:09 EDT by Chris
Modified: 2014-08-18 04:46 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-18 04:46:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (40.81 KB, text/plain)
2013-07-25 18:09 EDT, Chris
no flags Details
File: cgroup (140 bytes, text/plain)
2013-07-25 18:09 EDT, Chris
no flags Details
File: core_backtrace (2.50 KB, text/plain)
2013-07-25 18:10 EDT, Chris
no flags Details
File: dso_list (10.48 KB, text/plain)
2013-07-25 18:10 EDT, Chris
no flags Details
File: environ (1.79 KB, text/plain)
2013-07-25 18:10 EDT, Chris
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-25 18:10 EDT, Chris
no flags Details
File: maps (65.20 KB, text/plain)
2013-07-25 18:10 EDT, Chris
no flags Details
File: open_fds (1.53 KB, text/plain)
2013-07-25 18:10 EDT, Chris
no flags Details
File: proc_pid_status (935 bytes, text/plain)
2013-07-25 18:10 EDT, Chris
no flags Details
File: var_log_messages (419 bytes, text/plain)
2013-07-25 18:10 EDT, Chris
no flags Details
File: xsession_errors (4.15 KB, text/plain)
2013-07-25 18:10 EDT, Chris
no flags Details

  None (edit)
Description Chris 2013-07-25 18:09:53 EDT
Version-Release number of selected component:
remmina-1.0.0-7.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /usr/bin/remmina
crash_function: gtk_tree_model_get_valist
executable:     /usr/bin/remmina
kernel:         3.9.9-302.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gtk_tree_model_get_valist at gtktreemodel.c:1765
 #1 gtk_tree_model_get at gtktreemodel.c:1727
 #2 combo_box_row_separator_func at gtkfilechooserbutton.c:2388
 #3 tree_column_row_is_sensitive at gtkcombobox.c:2188
 #4 gtk_combo_box_list_button_released at gtkcombobox.c:3752
 #5 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:85
 #10 gtk_widget_event_internal at gtkwidget.c:6714
 #11 gtk_widget_event at gtkwidget.c:6371
 #12 propagate_event_up at gtkmain.c:2393
 #13 propagate_event at gtkmain.c:2501
Comment 1 Chris 2013-07-25 18:09:56 EDT
Created attachment 778541 [details]
File: backtrace
Comment 2 Chris 2013-07-25 18:09:59 EDT
Created attachment 778542 [details]
File: cgroup
Comment 3 Chris 2013-07-25 18:10:01 EDT
Created attachment 778543 [details]
File: core_backtrace
Comment 4 Chris 2013-07-25 18:10:04 EDT
Created attachment 778544 [details]
File: dso_list
Comment 5 Chris 2013-07-25 18:10:06 EDT
Created attachment 778545 [details]
File: environ
Comment 6 Chris 2013-07-25 18:10:09 EDT
Created attachment 778546 [details]
File: limits
Comment 7 Chris 2013-07-25 18:10:12 EDT
Created attachment 778547 [details]
File: maps
Comment 8 Chris 2013-07-25 18:10:15 EDT
Created attachment 778548 [details]
File: open_fds
Comment 9 Chris 2013-07-25 18:10:17 EDT
Created attachment 778549 [details]
File: proc_pid_status
Comment 10 Chris 2013-07-25 18:10:22 EDT
Created attachment 778550 [details]
File: var_log_messages
Comment 11 Chris 2013-07-25 18:10:24 EDT
Created attachment 778551 [details]
File: xsession_errors
Comment 12 Christoph Wickert 2014-05-22 07:35:16 EDT
Assigning bug to new package maintainer.
Comment 13 Pavel Alexeev 2014-08-18 04:46:24 EDT
Thank very much bug report and willing make free software better.

As I already use remmina in my day job I really try fix known issues and make it up to date. Unfortunately it is big project which is poorly maintained upstream for long time. In prepare new release of freerdp and remmina we hope it may be changed now. Remmina still have many opened issues some of opened for years. Meantime some of major have trend to resolve (for example not official path to solve clipboard issue https://github.com/FreeRDP/Remmina/issues/280#issuecomment-51663311 already in rawhide).

So have such problems unfortunately became near impossible maintain such fixes in stable Fedora versions.
With help of Simone Caronni we have new version 1.0.0 from git master branch which promise some enhancements as well and based on freerdp 1.1.0 released recently. I can suggest for everyone to try that.

Please reopen if you problem still reproduced on that version.

Note You need to log in before you can comment on or make changes to this bug.